List ClickUp lists

gethttps://api.expiryedge.com/v1/integrations/clickup/lists
any role60/min
Request
curl 'https://api.expiryedge.com/v1/integrations/clickup/lists?folder_id=90120101' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY"
Response
{
  "success": true,
  "lists": [
    {
      "id": "901201010",
      "name": "Bar renewals"
    }
  ]
}

Pass folder_id, or space_id for folderless lists.

Query parameters

  • folder_idstring
    ClickUp folder id.
  • space_idstring
    ClickUp space id (folderless lists).

Returns

200
Non-archived lists.
  • successboolean
    Allowedtrue
  • listsarray of objects

Errors

400
The user has no organization, the provider is not connected, validation failed, or the provider API call failed.
401
Missing, expired or invalid bearer token.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.